/*
 * 文 件 名:  EmsObjReportLogService
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/3/11
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.EmsObjEventLog;
import com.ruoyi.ems.mapper.EmsObjEventLogMapper;
import com.ruoyi.ems.service.IEmsObjEventLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 对象上报日志服务
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/3/11]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Service
public class EmsObjEventLogServiceImpl implements IEmsObjEventLogService {
    @Autowired
    private EmsObjEventLogMapper emsObjEventLogMapper;

    @Override
    public EmsObjEventLog selectLogById(Long id) {
        return emsObjEventLogMapper.selectLogById(id);
    }

    @Override
    public List<EmsObjEventLog> selectLog(EmsObjEventLog objEventLog) {
        return emsObjEventLogMapper.selectLog(objEventLog);
    }

    @Override
    public int insertLog(EmsObjEventLog objEventLog) {
        return emsObjEventLogMapper.insertLog(objEventLog);
    }
}